LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 04-01-2003, 03:50 AM   #1
jerome187
LQ Newbie
 
Registered: Apr 2003
Posts: 17

Rep: Reputation: 0
PHP / MySQL problems, plz help! TIA!


I'm trying to get a PHP/ MySQL powered message board setup on my RedHat 8.0 box, but when i try to install a message board (i've tryed invision power board and phpBB) i get errors like "The PHP configuration on your server doesn't support the database type that you chose" (that one if from phpBB) and the error from invision power board is sorta simmilar to that. I think my PHP and MySQL arnt talkin to eachother or whatever, and i have NO idea how to fix it. I intalled EVERYTHING when i installed RedHat 8.0, so i dont know what i did wrong.

Plz help!!

TIA!

Jerome
 
Old 04-01-2003, 06:18 AM   #2
j-ray
Senior Member
 
Registered: Jan 2002
Location: germany
Distribution: ubuntu
Posts: 1,532

Rep: Reputation: 132Reputation: 132
what sort of database does phpBB require? maybe u have to specify in the script tht u what to use mysql, i dont know. did u install everything as rpm? mysql or mysql-max?
cheers, jens
 
Old 04-01-2003, 07:38 AM   #3
nakkaya
LQ Guru
 
Registered: Jan 2003
Location: Turkey&USA
Distribution: Emacs and linux is its device driver(Slackware,redhat)
Posts: 1,398

Rep: Reputation: 45
can u access database from other php scripts
 
Old 04-01-2003, 08:38 AM   #4
Burke
Member
 
Registered: Dec 2002
Location: Virginia, USA
Posts: 131

Rep: Reputation: 15
Be sure that you have php-mysql installed. I run Postnuke/Envolution with Arena_Forum(based on phpBB1.4) and have played a little with phpBB2.
 
Old 04-01-2003, 02:12 PM   #5
jerome187
LQ Newbie
 
Registered: Apr 2003
Posts: 17

Original Poster
Rep: Reputation: 0
i just tryed to install php-mysql-4.2.2-8.0.7.i386.rpm and to get this error

"error: php-mysql-4.2.2-8.0.7.i386.rpm cannot be installed"

what the heck does that mean? thats all it says, it gives no reason why or anything
 
Old 04-01-2003, 02:14 PM   #6
jerome187
LQ Newbie
 
Registered: Apr 2003
Posts: 17

Original Poster
Rep: Reputation: 0
nevermind, i redownloaded it and it installed fine, now i'm going to try to install a message board
 
Old 04-01-2003, 04:15 PM   #7
jerome187
LQ Newbie
 
Registered: Apr 2003
Posts: 17

Original Poster
Rep: Reputation: 0
awsome!! It worked great, thanks for all the help guys
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
MySql Problems :( Help Plz NemoTheFish Linux - Software 18 02-17-2006 05:16 AM
PHP Problems with Mysql MattJohnson Linux - Newbie 3 11-23-2004 12:12 PM
mysql::DBD make problems - help plz pigsy Linux - Software 15 04-17-2004 03:48 PM
php and mysql problems punt Linux - Software 9 03-04-2003 10:23 PM
Grub Problems - Help Urgently Sought (TIA) terminaljunkie Linux - General 9 02-15-2003 07:00 PM


All times are GMT -5. The time now is 06:21 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration